var myDoc = app.documents.add();
var filename = "C:\\tmptbconv.txt";
var nukiTxt = new File(filename);
nukiTxt.open("r");
myTxt = nukiTxt.read();
nukiTxt.close();

var myTf = myDoc.textFrames.add();
myTf.visibleBounds = [0, 0, 297, 210];
myTf.contents = myTxt;
nukiTxt.remove();

//誤差許容値
var myMar = 1;

var TAB = String.fromCharCode(9);
var BR = String.fromCharCode(13);
var sel = app.activeDocument.textFrames;

app.findGrepPreferences = NothingEnum.nothing;
app.changeGrepPreferences = NothingEnum.nothing;
var fnStr = new Array("\\n$", "\\n", "^\\r", "^(.{1,4})\\r", "([^★][^○][^●][^☆])\\r", "★○●☆");
var chStr = new Array("", "\r", "", "$1☆●○★", "$1☆●○★", "");
for (i = 0; i < fnStr.length; i++) {
	app.findGrepPreferences.findWhat = fnStr[i];
	app.changeGrepPreferences.changeTo =chStr[i];
	app.activeDocument.changeGrep();
	}
var myStory = myTf .parentStory;
var myPara = myStory.paragraphs;


//テキストフレーム情報抜きだし
var myVal = new Array();
for (i = 0; i < myPara.length; i++) {
	myStr = myPara[i].contents.split(TAB);
	myVal[i] = [myStr[0]*0.3759, -myStr[1]*0.3759, 0, 0, myStr[2]];
		}
myTf.remove();

//列と行の序列調査
var myWid = new Array();
var kazu = new Array();
for (i = 0; i < 2; i++) {
	var myCount = 0;
	while (myCount < myVal.length) {
		myCount++;
		for (j = 0; j < myVal.length; j++) {
			if (myVal[j][i+2] == 0) {
				var n = myVal[j][i];
				kazu[i] = myCount;
				for (k = 0; k < myVal.length; k++) {
					if ((myVal[k][i] < n) && (myVal[k][i+2] == 0)) {
						n = myVal[k][i];
						}
					}
				}
			}
		if (i == 0) {myWid[myCount] = n;}
		for (k = 0; k < myVal.length; k++) {
			if (((myVal[k][i] - myMar) <= n) && (myVal[k][i+2] == 0)) {
				myVal[k][i+2] = myCount;
				}
			}
		}
	}

//ドキュメントに表を作成
var myTf = myDoc.textFrames.add();
myTf.visibleBounds = [0, 0, 297, 210];
var myTb = myTf.tables.add();
myTb.columnCount = kazu[0];
myTb.bodyRowCount = kazu[1];

//表幅設定
for (i = 0; i < kazu[0]-1; i++) {
	chErr = myTb.columns[i].width = myWid[i + 2] - myWid[i + 1];
	}
myTb.columns[kazu[0]-1].width = 50;

//表の文字入れ
for (i = 0; i < myVal.length; i++) {
	myTb.rows[myVal[i][3] - 1].cells[myVal[i][2] - 1].contents = myVal[i][4];
	}
app.findGrepPreferences.findWhat = "☆●○★";
app.changeGrepPreferences.changeTo = "\\r";
myDoc.changeGrep();
app.findGrepPreferences.findWhat = "\\r$";
app.changeGrepPreferences.changeTo = "";
myDoc.changeGrep();